import { StyleDefaults } from './data_styles';
import { ContainerRenderer } from './container';
import { Cell, Field, RecordOrRepeatedRecordField } from '../data_tree';
export declare class HTMLListRenderer extends ContainerRenderer {
    protected childrenStyleDefaults: StyleDefaults;
    getValueField(struct: RecordOrRepeatedRecordField): Field;
    getDetailField(_struct: RecordOrRepeatedRecordField): Field | undefined;
    render(table: Cell): Promise<HTMLElement>;
}
